<?php     
namespace Concrete\Package\MoceanApiBroadcast\Controller\SinglePage\Dashboard\MoceanApiBroadcast;

use \Concrete\Core\Package\PackageService;
use \Concrete\Core\Config;
use \Concrete\Core\Http\Request;
use \Concrete\Core\Page\Controller\DashboardPageController;

class Account extends DashboardPageController
{   
    public function getCountries()
    {
        $countries = array();
        $countries[] = array("code"=>t("AF"),"name"=>t("Afghanistan"),"d_code"=>t("+93"));
        $countries[] = array("code"=>t("AL"),"name"=>t("Albania"),"d_code"=>t("+355"));
        $countries[] = array("code"=>t("DZ"),"name"=>t("Algeria"),"d_code"=>t("+213"));
        $countries[] = array("code"=>t("AS"),"name"=>t("American Samoa"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("AD"),"name"=>t("Andorra"),"d_code"=>t("+376"));
        $countries[] = array("code"=>t("AO"),"name"=>t("Angola"),"d_code"=>t("+244"));
        $countries[] = array("code"=>t("AI"),"name"=>t("Anguilla"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("AG"),"name"=>t("Antigua"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("AR"),"name"=>t("Argentina"),"d_code"=>t("+54"));
        $countries[] = array("code"=>t("AM"),"name"=>t("Armenia"),"d_code"=>t("+374"));
        $countries[] = array("code"=>t("AW"),"name"=>t("Aruba"),"d_code"=>t("+297"));
        $countries[] = array("code"=>t("AU"),"name"=>t("Australia"),"d_code"=>t("+61"));
        $countries[] = array("code"=>t("AT"),"name"=>t("Austria"),"d_code"=>t("+43"));
        $countries[] = array("code"=>t("AZ"),"name"=>t("Azerbaijan"),"d_code"=>t("+994"));
        $countries[] = array("code"=>t("BH"),"name"=>t("Bahrain"),"d_code"=>t("+973"));
        $countries[] = array("code"=>t("BD"),"name"=>t("Bangladesh"),"d_code"=>t("+880"));
        $countries[] = array("code"=>t("BB"),"name"=>t("Barbados"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("BY"),"name"=>t("Belarus"),"d_code"=>t("+375"));
        $countries[] = array("code"=>t("BE"),"name"=>t("Belgium"),"d_code"=>t("+32"));
        $countries[] = array("code"=>t("BZ"),"name"=>t("Belize"),"d_code"=>t("+501"));
        $countries[] = array("code"=>t("BJ"),"name"=>t("Benin"),"d_code"=>t("+229"));
        $countries[] = array("code"=>t("BM"),"name"=>t("Bermuda"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("BT"),"name"=>t("Bhutan"),"d_code"=>t("+975"));
        $countries[] = array("code"=>t("BO"),"name"=>t("Bolivia"),"d_code"=>t("+591"));
        $countries[] = array("code"=>t("BA"),"name"=>t("Bosnia and Herzegovina"),"d_code"=>t("+387"));
        $countries[] = array("code"=>t("BW"),"name"=>t("Botswana"),"d_code"=>t("+267"));
        $countries[] = array("code"=>t("BR"),"name"=>t("Brazil"),"d_code"=>t("+55"));
        $countries[] = array("code"=>t("IO"),"name"=>t("British Indian Ocean Territory"),"d_code"=>t("+246"));
        $countries[] = array("code"=>t("VG"),"name"=>t("British Virgin Islands"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("BN"),"name"=>t("Brunei"),"d_code"=>t("+673"));
        $countries[] = array("code"=>t("BG"),"name"=>t("Bulgaria"),"d_code"=>t("+359"));
        $countries[] = array("code"=>t("BF"),"name"=>t("Burkina Faso"),"d_code"=>t("+226"));
        $countries[] = array("code"=>t("MM"),"name"=>t("Burma Myanmar" ),"d_code"=>t("+95"));
        $countries[] = array("code"=>t("BI"),"name"=>t("Burundi"),"d_code"=>t("+257"));
        $countries[] = array("code"=>t("KH"),"name"=>t("Cambodia"),"d_code"=>t("+855"));
        $countries[] = array("code"=>t("CM"),"name"=>t("Cameroon"),"d_code"=>t("+237"));
        $countries[] = array("code"=>t("CA"),"name"=>t("Canada"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("CV"),"name"=>t("Cape Verde"),"d_code"=>t("+238"));
        $countries[] = array("code"=>t("KY"),"name"=>t("Cayman Islands"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("CF"),"name"=>t("Central African Republic"),"d_code"=>t("+236"));
        $countries[] = array("code"=>t("TD"),"name"=>t("Chad"),"d_code"=>t("+235"));
        $countries[] = array("code"=>t("CL"),"name"=>t("Chile"),"d_code"=>t("+56"));
        $countries[] = array("code"=>t("CN"),"name"=>t("China"),"d_code"=>t("+86"));
        $countries[] = array("code"=>t("CO"),"name"=>t("Colombia"),"d_code"=>t("+57"));
        $countries[] = array("code"=>t("KM"),"name"=>t("Comoros"),"d_code"=>t("+269"));
        $countries[] = array("code"=>t("CK"),"name"=>t("Cook Islands"),"d_code"=>t("+682"));
        $countries[] = array("code"=>t("CR"),"name"=>t("Costa Rica"),"d_code"=>t("+506"));
        $countries[] = array("code"=>t("CI"),"name"=>t("Côte d'Ivoire" ),"d_code"=>t("+225"));
        $countries[] = array("code"=>t("HR"),"name"=>t("Croatia"),"d_code"=>t("+385"));
        $countries[] = array("code"=>t("CU"),"name"=>t("Cuba"),"d_code"=>t("+53"));
        $countries[] = array("code"=>t("CY"),"name"=>t("Cyprus"),"d_code"=>t("+357"));
        $countries[] = array("code"=>t("CZ"),"name"=>t("Czech Republic"),"d_code"=>t("+420"));
        $countries[] = array("code"=>t("CD"),"name"=>t("Democratic Republic of Congo"),"d_code"=>t("+243"));
        $countries[] = array("code"=>t("DK"),"name"=>t("Denmark"),"d_code"=>t("+45"));
        $countries[] = array("code"=>t("DJ"),"name"=>t("Djibouti"),"d_code"=>t("+253"));
        $countries[] = array("code"=>t("DM"),"name"=>t("Dominica"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("DO"),"name"=>t("Dominican Republic"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("EC"),"name"=>t("Ecuador"),"d_code"=>t("+593"));
        $countries[] = array("code"=>t("EG"),"name"=>t("Egypt"),"d_code"=>t("+20"));
        $countries[] = array("code"=>t("SV"),"name"=>t("El Salvador"),"d_code"=>t("+503"));
        $countries[] = array("code"=>t("GQ"),"name"=>t("Equatorial Guinea"),"d_code"=>t("+240"));
        $countries[] = array("code"=>t("ER"),"name"=>t("Eritrea"),"d_code"=>t("+291"));
        $countries[] = array("code"=>t("EE"),"name"=>t("Estonia"),"d_code"=>t("+372"));
        $countries[] = array("code"=>t("ET"),"name"=>t("Ethiopia"),"d_code"=>t("+251"));
        $countries[] = array("code"=>t("FK"),"name"=>t("Falkland Islands"),"d_code"=>t("+500"));
        $countries[] = array("code"=>t("FO"),"name"=>t("Faroe Islands"),"d_code"=>t("+298"));
        $countries[] = array("code"=>t("FM"),"name"=>t("Federated States of Micronesia"),"d_code"=>t("+691"));
        $countries[] = array("code"=>t("FJ"),"name"=>t("Fiji"),"d_code"=>t("+679"));
        $countries[] = array("code"=>t("FI"),"name"=>t("Finland"),"d_code"=>t("+358"));
        $countries[] = array("code"=>t("FR"),"name"=>t("France"),"d_code"=>t("+33"));
        $countries[] = array("code"=>t("GF"),"name"=>t("French Guiana"),"d_code"=>t("+594"));
        $countries[] = array("code"=>t("PF"),"name"=>t("French Polynesia"),"d_code"=>t("+689"));
        $countries[] = array("code"=>t("GA"),"name"=>t("Gabon"),"d_code"=>t("+241"));
        $countries[] = array("code"=>t("GE"),"name"=>t("Georgia"),"d_code"=>t("+995"));
        $countries[] = array("code"=>t("DE"),"name"=>t("Germany"),"d_code"=>t("+49"));
        $countries[] = array("code"=>t("GH"),"name"=>t("Ghana"),"d_code"=>t("+233"));
        $countries[] = array("code"=>t("GI"),"name"=>t("Gibraltar"),"d_code"=>t("+350"));
        $countries[] = array("code"=>t("GR"),"name"=>t("Greece"),"d_code"=>t("+30"));
        $countries[] = array("code"=>t("GL"),"name"=>t("Greenland"),"d_code"=>t("+299"));
        $countries[] = array("code"=>t("GD"),"name"=>t("Grenada"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("GP"),"name"=>t("Guadeloupe"),"d_code"=>t("+590"));
        $countries[] = array("code"=>t("GU"),"name"=>t("Guam"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("GT"),"name"=>t("Guatemala"),"d_code"=>t("+502"));
        $countries[] = array("code"=>t("GN"),"name"=>t("Guinea"),"d_code"=>t("+224"));
        $countries[] = array("code"=>t("GW"),"name"=>t("Guinea-Bissau"),"d_code"=>t("+245"));
        $countries[] = array("code"=>t("GY"),"name"=>t("Guyana"),"d_code"=>t("+592"));
        $countries[] = array("code"=>t("HT"),"name"=>t("Haiti"),"d_code"=>t("+509"));
        $countries[] = array("code"=>t("HN"),"name"=>t("Honduras"),"d_code"=>t("+504"));
        $countries[] = array("code"=>t("HK"),"name"=>t("Hong Kong"),"d_code"=>t("+852"));
        $countries[] = array("code"=>t("HU"),"name"=>t("Hungary"),"d_code"=>t("+36"));
        $countries[] = array("code"=>t("IS"),"name"=>t("Iceland"),"d_code"=>t("+354"));
        $countries[] = array("code"=>t("IN"),"name"=>t("India"),"d_code"=>t("+91"));
        $countries[] = array("code"=>t("ID"),"name"=>t("Indonesia"),"d_code"=>t("+62"));
        $countries[] = array("code"=>t("IR"),"name"=>t("Iran"),"d_code"=>t("+98"));
        $countries[] = array("code"=>t("IQ"),"name"=>t("Iraq"),"d_code"=>t("+964"));
        $countries[] = array("code"=>t("IE"),"name"=>t("Ireland"),"d_code"=>t("+353"));
        $countries[] = array("code"=>t("IL"),"name"=>t("Israel"),"d_code"=>t("+972"));
        $countries[] = array("code"=>t("IT"),"name"=>t("Italy"),"d_code"=>t("+39"));
        $countries[] = array("code"=>t("JM"),"name"=>t("Jamaica"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("JP"),"name"=>t("Japan"),"d_code"=>t("+81"));
        $countries[] = array("code"=>t("JO"),"name"=>t("Jordan"),"d_code"=>t("+962"));
        $countries[] = array("code"=>t("KZ"),"name"=>t("Kazakhstan"),"d_code"=>t("+7"));
        $countries[] = array("code"=>t("KE"),"name"=>t("Kenya"),"d_code"=>t("+254"));
        $countries[] = array("code"=>t("KI"),"name"=>t("Kiribati"),"d_code"=>t("+686"));
        //$countries[] = array("code"=>t("XK"),"name"=>t("Kosovo"),"d_code"=>t("+381"));
        $countries[] = array("code"=>t("KW"),"name"=>t("Kuwait"),"d_code"=>t("+965"));
        $countries[] = array("code"=>t("KG"),"name"=>t("Kyrgyzstan"),"d_code"=>t("+996"));
        $countries[] = array("code"=>t("LA"),"name"=>t("Laos"),"d_code"=>t("+856"));
        $countries[] = array("code"=>t("LV"),"name"=>t("Latvia"),"d_code"=>t("+371"));
        $countries[] = array("code"=>t("LB"),"name"=>t("Lebanon"),"d_code"=>t("+961"));
        $countries[] = array("code"=>t("LS"),"name"=>t("Lesotho"),"d_code"=>t("+266"));
        $countries[] = array("code"=>t("LR"),"name"=>t("Liberia"),"d_code"=>t("+231"));
        $countries[] = array("code"=>t("LY"),"name"=>t("Libya"),"d_code"=>t("+218"));
        $countries[] = array("code"=>t("LI"),"name"=>t("Liechtenstein"),"d_code"=>t("+423"));
        $countries[] = array("code"=>t("LT"),"name"=>t("Lithuania"),"d_code"=>t("+370"));
        $countries[] = array("code"=>t("LU"),"name"=>t("Luxembourg"),"d_code"=>t("+352"));
        $countries[] = array("code"=>t("MO"),"name"=>t("Macau"),"d_code"=>t("+853"));
        $countries[] = array("code"=>t("MK"),"name"=>t("Macedonia"),"d_code"=>t("+389"));
        $countries[] = array("code"=>t("MG"),"name"=>t("Madagascar"),"d_code"=>t("+261"));
        $countries[] = array("code"=>t("MW"),"name"=>t("Malawi"),"d_code"=>t("+265"));
        $countries[] = array("code"=>t("MY"),"name"=>t("Malaysia"),"d_code"=>t("+60"));
        $countries[] = array("code"=>t("MV"),"name"=>t("Maldives"),"d_code"=>t("+960"));
        $countries[] = array("code"=>t("ML"),"name"=>t("Mali"),"d_code"=>t("+223"));
        $countries[] = array("code"=>t("MT"),"name"=>t("Malta"),"d_code"=>t("+356"));
        $countries[] = array("code"=>t("MH"),"name"=>t("Marshall Islands"),"d_code"=>t("+692"));
        $countries[] = array("code"=>t("MQ"),"name"=>t("Martinique"),"d_code"=>t("+596"));
        $countries[] = array("code"=>t("MR"),"name"=>t("Mauritania"),"d_code"=>t("+222"));
        $countries[] = array("code"=>t("MU"),"name"=>t("Mauritius"),"d_code"=>t("+230"));
        $countries[] = array("code"=>t("YT"),"name"=>t("Mayotte"),"d_code"=>t("+262"));
        $countries[] = array("code"=>t("MX"),"name"=>t("Mexico"),"d_code"=>t("+52"));
        $countries[] = array("code"=>t("MD"),"name"=>t("Moldova"),"d_code"=>t("+373"));
        $countries[] = array("code"=>t("MC"),"name"=>t("Monaco"),"d_code"=>t("+377"));
        $countries[] = array("code"=>t("MN"),"name"=>t("Mongolia"),"d_code"=>t("+976"));
        $countries[] = array("code"=>t("ME"),"name"=>t("Montenegro"),"d_code"=>t("+382"));
        $countries[] = array("code"=>t("MS"),"name"=>t("Montserrat"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("MA"),"name"=>t("Morocco"),"d_code"=>t("+212"));
        $countries[] = array("code"=>t("MZ"),"name"=>t("Mozambique"),"d_code"=>t("+258"));
        $countries[] = array("code"=>t("NA"),"name"=>t("Namibia"),"d_code"=>t("+264"));
        $countries[] = array("code"=>t("NR"),"name"=>t("Nauru"),"d_code"=>t("+674"));
        $countries[] = array("code"=>t("NP"),"name"=>t("Nepal"),"d_code"=>t("+977"));
        $countries[] = array("code"=>t("NL"),"name"=>t("Netherlands"),"d_code"=>t("+31"));
        $countries[] = array("code"=>t("AN"),"name"=>t("Netherlands Antilles"),"d_code"=>t("+599"));
        $countries[] = array("code"=>t("NC"),"name"=>t("New Caledonia"),"d_code"=>t("+687"));
        $countries[] = array("code"=>t("NZ"),"name"=>t("New Zealand"),"d_code"=>t("+64"));
        $countries[] = array("code"=>t("NI"),"name"=>t("Nicaragua"),"d_code"=>t("+505"));
        $countries[] = array("code"=>t("NE"),"name"=>t("Niger"),"d_code"=>t("+227"));
        $countries[] = array("code"=>t("NG"),"name"=>t("Nigeria"),"d_code"=>t("+234"));
        $countries[] = array("code"=>t("NU"),"name"=>t("Niue"),"d_code"=>t("+683"));
        $countries[] = array("code"=>t("NF"),"name"=>t("Norfolk Island"),"d_code"=>t("+672"));
        $countries[] = array("code"=>t("KP"),"name"=>t("North Korea"),"d_code"=>t("+850"));
        $countries[] = array("code"=>t("MP"),"name"=>t("Northern Mariana Islands"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("NO"),"name"=>t("Norway"),"d_code"=>t("+47"));
        $countries[] = array("code"=>t("OM"),"name"=>t("Oman"),"d_code"=>t("+968"));
        $countries[] = array("code"=>t("PK"),"name"=>t("Pakistan"),"d_code"=>t("+92"));
        $countries[] = array("code"=>t("PW"),"name"=>t("Palau"),"d_code"=>t("+680"));
        $countries[] = array("code"=>t("PS"),"name"=>t("Palestine"),"d_code"=>t("+970"));
        $countries[] = array("code"=>t("PA"),"name"=>t("Panama"),"d_code"=>t("+507"));
        $countries[] = array("code"=>t("PG"),"name"=>t("Papua New Guinea"),"d_code"=>t("+675"));
        $countries[] = array("code"=>t("PY"),"name"=>t("Paraguay"),"d_code"=>t("+595"));
        $countries[] = array("code"=>t("PE"),"name"=>t("Peru"),"d_code"=>t("+51"));
        $countries[] = array("code"=>t("PH"),"name"=>t("Philippines"),"d_code"=>t("+63"));
        $countries[] = array("code"=>t("PL"),"name"=>t("Poland"),"d_code"=>t("+48"));
        $countries[] = array("code"=>t("PT"),"name"=>t("Portugal"),"d_code"=>t("+351"));
        $countries[] = array("code"=>t("PR"),"name"=>t("Puerto Rico"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("QA"),"name"=>t("Qatar"),"d_code"=>t("+974"));
        $countries[] = array("code"=>t("CG"),"name"=>t("Republic of the Congo"),"d_code"=>t("+242"));
        $countries[] = array("code"=>t("RE"),"name"=>t("Réunion" ),"d_code"=>t("+262"));
        $countries[] = array("code"=>t("RO"),"name"=>t("Romania"),"d_code"=>t("+40"));
        $countries[] = array("code"=>t("RU"),"name"=>t("Russia"),"d_code"=>t("+7"));
        $countries[] = array("code"=>t("RW"),"name"=>t("Rwanda"),"d_code"=>t("+250"));
        //$countries[] = array("code"=>t("BL"),"name"=>t("Saint Barthélemy" ),"d_code"=>t("+590"));
        $countries[] = array("code"=>t("SH"),"name"=>t("Saint Helena"),"d_code"=>t("+290"));
        $countries[] = array("code"=>t("KN"),"name"=>t("Saint Kitts and Nevis"),"d_code"=>t("+1"));
        //$countries[] = array("code"=>t("MF"),"name"=>t("Saint Martin"),"d_code"=>t("+590"));
        $countries[] = array("code"=>t("PM"),"name"=>t("Saint Pierre and Miquelon"),"d_code"=>t("+508"));
        $countries[] = array("code"=>t("VC"),"name"=>t("Saint Vincent and the Grenadines"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("WS"),"name"=>t("Samoa"),"d_code"=>t("+685"));
        $countries[] = array("code"=>t("SM"),"name"=>t("San Marino"),"d_code"=>t("+378"));
        $countries[] = array("code"=>t("ST"),"name"=>t("São Tomé and Príncipe" ),"d_code"=>t("+239"));
        $countries[] = array("code"=>t("SA"),"name"=>t("Saudi Arabia"),"d_code"=>t("+966"));
        $countries[] = array("code"=>t("SN"),"name"=>t("Senegal"),"d_code"=>t("+221"));
        $countries[] = array("code"=>t("RS"),"name"=>t("Serbia"),"d_code"=>t("+381"));
        $countries[] = array("code"=>t("SC"),"name"=>t("Seychelles"),"d_code"=>t("+248"));
        $countries[] = array("code"=>t("SL"),"name"=>t("Sierra Leone"),"d_code"=>t("+232"));
        $countries[] = array("code"=>t("SG"),"name"=>t("Singapore"),"d_code"=>t("+65"));
        $countries[] = array("code"=>t("SK"),"name"=>t("Slovakia"),"d_code"=>t("+421"));
        $countries[] = array("code"=>t("SI"),"name"=>t("Slovenia"),"d_code"=>t("+386"));
        $countries[] = array("code"=>t("SB"),"name"=>t("Solomon Islands"),"d_code"=>t("+677"));
        $countries[] = array("code"=>t("SO"),"name"=>t("Somalia"),"d_code"=>t("+252"));
        $countries[] = array("code"=>t("ZA"),"name"=>t("South Africa"),"d_code"=>t("+27"));
        $countries[] = array("code"=>t("KR"),"name"=>t("South Korea"),"d_code"=>t("+82"));
        $countries[] = array("code"=>t("ES"),"name"=>t("Spain"),"d_code"=>t("+34"));
        $countries[] = array("code"=>t("LK"),"name"=>t("Sri Lanka"),"d_code"=>t("+94"));
        $countries[] = array("code"=>t("LC"),"name"=>t("St. Lucia"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("SD"),"name"=>t("Sudan"),"d_code"=>t("+249"));
        $countries[] = array("code"=>t("SR"),"name"=>t("Suriname"),"d_code"=>t("+597"));
        $countries[] = array("code"=>t("SZ"),"name"=>t("Swaziland"),"d_code"=>t("+268"));
        $countries[] = array("code"=>t("SE"),"name"=>t("Sweden"),"d_code"=>t("+46"));
        $countries[] = array("code"=>t("CH"),"name"=>t("Switzerland"),"d_code"=>t("+41"));
        $countries[] = array("code"=>t("SY"),"name"=>t("Syria"),"d_code"=>t("+963"));
        $countries[] = array("code"=>t("TW"),"name"=>t("Taiwan"),"d_code"=>t("+886"));
        $countries[] = array("code"=>t("TJ"),"name"=>t("Tajikistan"),"d_code"=>t("+992"));
        $countries[] = array("code"=>t("TZ"),"name"=>t("Tanzania"),"d_code"=>t("+255"));
        $countries[] = array("code"=>t("TH"),"name"=>t("Thailand"),"d_code"=>t("+66"));
        $countries[] = array("code"=>t("BS"),"name"=>t("The Bahamas"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("GM"),"name"=>t("The Gambia"),"d_code"=>t("+220"));
        $countries[] = array("code"=>t("TL"),"name"=>t("Timor-Leste"),"d_code"=>t("+670"));
        $countries[] = array("code"=>t("TG"),"name"=>t("Togo"),"d_code"=>t("+228"));
        $countries[] = array("code"=>t("TK"),"name"=>t("Tokelau"),"d_code"=>t("+690"));
        $countries[] = array("code"=>t("TO"),"name"=>t("Tonga"),"d_code"=>t("+676"));
        $countries[] = array("code"=>t("TT"),"name"=>t("Trinidad and Tobago"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("TN"),"name"=>t("Tunisia"),"d_code"=>t("+216"));
        $countries[] = array("code"=>t("TR"),"name"=>t("Turkey"),"d_code"=>t("+90"));
        $countries[] = array("code"=>t("TM"),"name"=>t("Turkmenistan"),"d_code"=>t("+993"));
        $countries[] = array("code"=>t("TC"),"name"=>t("Turks and Caicos Islands"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("TV"),"name"=>t("Tuvalu"),"d_code"=>t("+688"));
        $countries[] = array("code"=>t("UG"),"name"=>t("Uganda"),"d_code"=>t("+256"));
        $countries[] = array("code"=>t("UA"),"name"=>t("Ukraine"),"d_code"=>t("+380"));
        $countries[] = array("code"=>t("AE"),"name"=>t("United Arab Emirates"),"d_code"=>t("+971"));
        $countries[] = array("code"=>t("GB"),"name"=>t("United Kingdom"),"d_code"=>t("+44"));
        $countries[] = array("code"=>t("US"),"name"=>t("United States"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("UY"),"name"=>t("Uruguay"),"d_code"=>t("+598"));
        $countries[] = array("code"=>t("VI"),"name"=>t("US Virgin Islands"),"d_code"=>t("+1"));
        $countries[] = array("code"=>t("UZ"),"name"=>t("Uzbekistan"),"d_code"=>t("+998"));
        $countries[] = array("code"=>t("VU"),"name"=>t("Vanuatu"),"d_code"=>t("+678"));
        $countries[] = array("code"=>t("VA"),"name"=>t("Vatican City"),"d_code"=>t("+39"));
        $countries[] = array("code"=>t("VE"),"name"=>t("Venezuela"),"d_code"=>t("+58"));
        $countries[] = array("code"=>t("VN"),"name"=>t("Vietnam"),"d_code"=>t("+84"));
        $countries[] = array("code"=>t("WF"),"name"=>t("Wallis and Futuna"),"d_code"=>t("+681"));
        $countries[] = array("code"=>t("YE"),"name"=>t("Yemen"),"d_code"=>t("+967"));
        $countries[] = array("code"=>t("ZM"),"name"=>t("Zambia"),"d_code"=>t("+260"));
        $countries[] = array("code"=>t("ZW"),"name"=>t("Zimbabwe"),"d_code"=>t("+263"));
    
        return $countries;
    }
    
    public function view()
    {
        //set the form settings
        $this->setFormSettings();
    }

    public function saveConfiguration()
    {
        $this->post = Request::post();
        if(!empty($this->post)){
            $pkg = $this->app->make(PackageService::class)->getByHandle('mocean_api_broadcast');

            //save account configuration
            $pkg->getConfig()->save('mocean_api_config.api_key', $this->post['apiKey']);
            $pkg->getConfig()->save('mocean_api_config.api_secret', $this->post['apiSecret']);
            $pkg->getConfig()->save('mocean_api_config.sender', $this->post['sender']);
            $pkg->getConfig()->save('mocean_api_config.phone_attribute_handle', $this->post['phoneAttributeHandle']);
            $pkg->getConfig()->save('mocean_api_config.country_code', $this->post['countryCode']);
            $this->set('success', t('Configuration saved.'));
        }
        //set the form settings
        $this->setFormSettings();
    }

    public function setFormSettings()
    {
        $pkg = $this->app->make(PackageService::class)->getByHandle('mocean_api_broadcast');
        
        $creditBalance = '';
        $apiKey = $pkg->getConfig()->get('mocean_api_config.api_key');
        $apiSecret = $pkg->getConfig()->get('mocean_api_config.api_secret');
        $sender = $pkg->getConfig()->get('mocean_api_config.sender');
        $phoneAttributeHandle = $pkg->getConfig()->get('mocean_api_config.phone_attribute_handle');
        $selectedCountryCode = $pkg->getConfig()->get('mocean_api_config.country_code');
        
        //query request
        $request = new \Mocean\Sms();
        $request->setApiKey($apiKey);
        $request->setApiSecret($apiSecret);
        $jsonCredit = $request->getCredit();
        $jsonCurrency = $request->getPricing();
        
        if ($jsonCredit['status'] == 0 && $jsonCurrency['status'] == 0)
            $creditBalance = $jsonCurrency['destinations'][0]['currency'].' '.$jsonCredit['value'];
        else {
            if ($jsonCredit['status'] != 0) 
                $creditBalance = $jsonCredit['err_msg'];
            else if ($jsonCurrency['status'] != 0) 
                $creditBalance = $jsonCurrency['err_msg'];
        }
        
        $countries = $this->getCountries();
        $countryCode = array();
        $countryCode[0] = t('-- Select Country --');
        foreach($countries as $country) 
        {
            $countryCode[$country['code']] = $country['name'];
        }
        
        $this->set('creditBalance', $creditBalance);
        $this->set('apiKey', $apiKey);
        $this->set('apiSecret', $apiSecret);
        $this->set('sender', $sender);
        $this->set('phoneAttributeHandle', $phoneAttributeHandle);
        $this->set('countryCode', $countryCode);
        $this->set('selectedCountryCode', $selectedCountryCode);
    }
}
?>
