<?php
namespace Concrete\Package\MoceanApiBroadcast\Controller\SinglePage\Dashboard\MoceanApiBroadcast;

use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Core\Search\Pagination\PaginationFactory;
use Concrete\Core\Routing\Redirect;
use Concrete\Core\Http\Request;
use Concrete\Package\MoceanApiBroadcast\Src\Entity\MoceanHistory;
use Concrete\Package\MoceanApiBroadcast\Src\Entity\MoceanHistoryList;

class History extends DashboardPageController
{
    public function on_start()
    {
        $this->set('app', $this->app);
    }
        
    public function view($id = null)
    {
        $history = new MoceanHistoryList();
        $history->setItemsPerPage(10);

        if ($this->request->query->get('keywords')) {
            $history->setSearch(trim($this->request->query->get('keywords')));
        }

        $this->set('skeleton_list', $history);
        $factory = new PaginationFactory($this->app->make(Request::class));
        $paginator = $factory->createPaginationObject($history);
        $pagination = $paginator->renderDefaultView();
        $this->set('history', $paginator->getCurrentPageResults());
        $this->set('pagination', $pagination);
        $this->set('paginator', $paginator);
    }    
}
