<?php

defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\View\View;
$app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
$form = $app->make('helper/form');
$view = View::getInstance();
$view->requireAsset('javascript', 'mocean_api_broadcast/cookieconsent');
$view->requireAsset('javascript', 'mocean_api_broadcast/yandex');
$view->requireAsset('css', 'mocean_api_broadcast/animate');
$view->requireAsset('css', 'mocean_api_broadcast/cookieconsent');
$view->requireAsset('css', 'mocean_api_broadcast/main');
?>

  <form action="<?php     echo $this->action('saveConfiguration'); ?>" method="post">
    <p class="small">API Key and API Secret can be found at <a href="https://dashboard.moceanapi.com/">https://dashboard.moceanapi.com/</a></p>
    <div class="form-group">
        <?php     echo $form->label('creditBalance', t('Credit Balance'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $creditBalance; ?></p>
        </div>
    </div>
    <div class="form-group">
        <?php     echo $form->label('apiKey', t('API Key'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $form->text('apiKey', $apiKey, array('placeholder' => t('Your MoceanSMS API key.'), 'required' => 'required')) ?>
        </div>
    </div>
    <div class="form-group">
        <?php     echo $form->label('apiSecret', t('API Secret'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $form->password('apiSecret', $apiSecret, array('placeholder' => t('Your MoceanSMS API secret.'), 'required' => 'required')) ?>
        </div>
    </div>
    <div class="form-group">
        <?php     echo $form->label('sender', t('Message From'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $form->text('sender', $sender, array('placeholder' => t('Sender of the SMS when the message is received at a mobile phone.'), 'required' => 'required')) ?>
        </div>
    </div>
    <div class="form-group">
        <?php     echo $form->label('phoneAttributeHandle', t('Phone Attribute Handle'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $form->text('phoneAttributeHandle', $phoneAttributeHandle, array('placeholder' => t('Custom phone attribute handle name.'), 'required' => 'required')) ?>
        </div>
    </div>
    <div class="form-group">
        <?php     echo $form->label('countryCode', t('Country'))?>
        <div class="ccm-textarea-field-content">
            <?php     echo $form->select('countryCode', $countryCode, $selectedCountryCode, array('style' => 'width: 300px;')) ?>
            <p class="small"><?php echo t('Optional: Select a default country to check for country code, phone number that have invalid format for selected country will not be sent SMS.'); ?></p>
        </div>
    </div>
    <div class="form-group">
        <div class="ccm-textarea-field-content">
            <a href="https://bit.ly/3QVyDVP" target="_blank" rel="noopener noreferrer"><?php echo t("Send us a feedback!") ?></a>
        </div>
    </div>
    <div class="ccm-dashboard-form-actions-wrapper">
      <div class="ccm-dashboard-form-actions">
        <button type="submit" class="btn btn-primary pull-right"><?php     echo t('Save')?></button>
      </div>
    </div>
  </form>
