<?php
namespace Concrete\Package\MoceanApiBroadcast\Src\Entity;

use \Concrete\Core\Package\PackageService;
use \Doctrine\ORM\Mapping as ORM;
use \Concrete\Core\Support\Facade\DatabaseORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="MoceanApiBroadcastHistory")
 */
class MoceanHistory
{
    
    /**
     * @ORM\Id @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    protected $sender;

    /**
     * @ORM\Column(type="datetime")
     */
    protected $datetime;

    /**
     * @ORM\Column(type="string", length=255)
     */
    protected $message;

    /**
     * @ORM\Column(type="string", length=15)
     */
    protected $recipient;

    /**
     * @ORM\Column(type="string", length=255)
     */
    protected $response;
    
    /**
     * @ORM\Column(type="string", length=10)
     */
    protected $status;
    
    public function getID()
    {
        return $this->$id;
    }

    public function getSender()
    {
        return $this->sender;
    }

    public function setSender($sender)
    {
        $this->sender = $sender;
    }
    
    public function getDatetime()
    {
        return $this->datetime;
    }

    public function setDatetime($datetime)
    {
        $this->datetime = $datetime;
    }

    public function getMessage()
    {
        return $this->message;
    }

    public function setMessage($message)
    {
        $this->message = $message;
    }

    public function getRecipient()
    {
        return $this->recipient;
    }

    public function setRecipient($recipient)
    {
        $this->recipient = $recipient;
    }

    public function getResponse()
    {
        return $this->response;
    }

    public function setResponse($response)
    {
        $this->response = $response;
    }

    public function getStatus()
    {
        return $this->status;
    }

    public function setStatus($status)
    {
        $this->status = $status;
    }
    
    public static function getByID($id)
    {
        $em = DatabaseORM::entityManager();
        return $em->find(get_class(), $id);
    }
    
    public function save()
    {
        $em = DatabaseORM::entityManager();
        $em->persist($this);
        $em->flush();
    }

    public function getMoceanHistoryList()
    {
        $em = DatabaseORM::entityManager();
        return $em->getRepository(get_class())->findBy(array(), array('name' => 'asc'));
    }

}